Simplified.ID API: v2

<back to all web services

GetAccountStatus

"use strict";
export class Authentication {
    /** @param {{apiUserId?:string,apiUserKey?:string,userId?:string}} [init] */
    constructor(init) { Object.assign(this, init) }
    /**
     * @type {string}
     * @description The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User) */
    apiUserId;
    /**
     * @type {string}
     * @description The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key) */
    apiUserKey;
    /**
     * @type {string}
     * @description The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id). */
    userId;
}
export class BaseRequest {
    /** @param {{authentication?:Authentication}} [init] */
    constructor(init) { Object.assign(this, init) }
    /**
     * @type {Authentication}
     * @description The authentication credentials */
    authentication;
}
export class ResponseError {
    /** @param {{errorCode?:string,fieldName?:string,message?:string,meta?:{ [index:string]: string; }}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    errorCode;
    /** @type {string} */
    fieldName;
    /** @type {string} */
    message;
    /** @type {{ [index:string]: string; }} */
    meta;
}
export class ArrayOfResponseError extends Array {
    constructor(init) { super(init); Object.assign(this, init) }
}
export class ResponseStatus {
    /** @param {{errorCode?:string,message?:string,stackTrace?:string,errors?:ArrayOfResponseError,meta?:{ [index:string]: string; }}} [init] */
    constructor(init) { Object.assign(this, init) }
    /** @type {string} */
    errorCode;
    /** @type {string} */
    message;
    /** @type {string} */
    stackTrace;
    /** @type {ArrayOfResponseError} */
    errors;
    /** @type {{ [index:string]: string; }} */
    meta;
}
export class BaseResponse {
    /** @param {{responseStatus?:ResponseStatus}} [init] */
    constructor(init) { Object.assign(this, init) }
    /**
     * @type {ResponseStatus}
     * @description The status of the response */
    responseStatus;
}
export class AccountStatus {
    /** @param {{status?:string,type?:string,expiryDate?:string,expiryDateUniversal?:string,balance?:number,creditBalance?:number,dbsBasicCreditBalance?:number,products?:string[],capabilities?:string[]}} [init] */
    constructor(init) { Object.assign(this, init) }
    /**
     * @type {string}
     * @description The account status (e.g. Unpaid, Active, Expired) */
    status;
    /**
     * @type {string}
     * @description The account type (e.g. live, developer, demo) */
    type;
    /**
     * @type {?string}
     * @description The account Expiry Date */
    expiryDate;
    /**
     * @type {string}
     * @description The account Expiry Date as a string in ISO 8601 format */
    expiryDateUniversal;
    /**
     * @type {number}
     * @description The account balance */
    balance;
    /**
     * @type {number}
     * @description The account search credit balance */
    creditBalance;
    /**
     * @type {number}
     * @description The account DBS credit balance */
    dbsBasicCreditBalance;
    /**
     * @type {string[]}
     * @description The list of enabled products for this account */
    products;
    /**
     * @type {string[]}
     * @description The list of enabled capabilities for this account */
    capabilities;
}
export class GetAccountStatusData extends BaseResponse {
    /** @param {{accountStatus?:AccountStatus,responseStatus?:ResponseStatus}} [init] */
    constructor(init) { super(init); Object.assign(this, init) }
    /**
     * @type {AccountStatus}
     * @description The account status information */
    accountStatus;
}
export class GetAccountStatusResponse {
    /** @param {{data?:GetAccountStatusData}} [init] */
    constructor(init) { Object.assign(this, init) }
    /**
     * @type {GetAccountStatusData}
     * @description The response data */
    data;
}
export class GetAccountStatus extends BaseRequest {
    /** @param {{authentication?:Authentication}} [init] */
    constructor(init) { super(init); Object.assign(this, init) }
}

JavaScript GetAccountStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .soap11 suffix or ?format=soap11

HTTP + SOAP11

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /soap11 HTTP/1.1 
Host: api.simplified.id 
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: GetAccountStatus

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetAccountStatus xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Authentication>
    <ApiUserId>String</ApiUserId>
    <ApiUserKey>String</ApiUserKey>
    <UserId>String</UserId>
  </Authentication>
</GetAccountStatus>

</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>

<GetAccountStatusResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
  <Data>
    <ResponseStatus>
      <ErrorCode>String</ErrorCode>
      <Message>String</Message>
      <StackTrace>String</StackTrace>
      <Errors>
        <ResponseError>
          <ErrorCode>String</ErrorCode>
          <FieldName>String</FieldName>
          <Message>String</Message>
          <Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
            <d6p1:KeyValueOfstringstring>
              <d6p1:Key>String</d6p1:Key>
              <d6p1:Value>String</d6p1:Value>
            </d6p1:KeyValueOfstringstring>
          </Meta>
        </ResponseError>
      </Errors>
      <Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:KeyValueOfstringstring>
          <d4p1:Key>String</d4p1:Key>
          <d4p1:Value>String</d4p1:Value>
        </d4p1:KeyValueOfstringstring>
      </Meta>
    </ResponseStatus>
    <AccountStatus>
      <Balance>0</Balance>
      <Capabilities xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>String</d4p1:string>
      </Capabilities>
      <CreditBalance>0</CreditBalance>
      <DBSBasicCreditBalance>0</DBSBasicCreditBalance>
      <ExpiryDate>0001-01-01T00:00:00</ExpiryDate>
      <ExpiryDateUniversal>String</ExpiryDateUniversal>
      <Products xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>String</d4p1:string>
      </Products>
      <Status>String</Status>
      <Type>String</Type>
    </AccountStatus>
  </Data>
</GetAccountStatusResponse>

</soap:Body>
</soap:Envelope>